Debian Bug report logs - #518182
linux-2.6: Error with e1000 e1000_clean_tx_irq: Detected Tx Unit Hang

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: matthias kreis <matthias.kreis@remasec.ch>

Date: Wed, 4 Mar 2009 16:42:04 UTC

Severity: normal

Tags: fixed-upstream

Found in version 2.6.32-27

Fixed in version linux-2.6/2.6.32-25

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=14048

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, matthias.kreis@remasec.ch, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Wed, 04 Mar 2009 16:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to matthias kreis <matthias.kreis@remasec.ch>:
New Bug report received and forwarded. Copy sent to matthias.kreis@remasec.ch, Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 Mar 2009 16:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: matthias kreis <matthias.kreis@remasec.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: Error with e1000 e1000_clean_tx_irq: Detected Tx Unit Hang
Date: Wed, 04 Mar 2009 17:41:19 +0100
Package: linux-2.6
Version: 23
Severity: normal

I have a problem with the e1000 driver. The network card is not working correctly.
It looks like the problem shows only up with more then 4GB Memory. I have the same behavier with
an etch system under xen. On that system the card is working if I truncate memory to 4GB


Here are some information:

dmesg: 
[ 2869.960646] e1000: eth0: e1000_clean_tx_irq: Detected Tx Unit Hang
[ 2869.960649]   Tx Queue             <0>
[ 2869.960651]   TDH                  <6>
[ 2869.960652]   TDT                  <6>
[ 2869.960654]   next_to_use          <6>
[ 2869.960655]   next_to_clean        <0>
[ 2869.960656] buffer_info[next_to_clean]
[ 2869.960658]   time_stamp           <10009c3ec>
[ 2869.960659]   next_to_watch        <0>
[ 2869.960660]   jiffies              <10009c9ae>
[ 2869.960662]   next_to_watch.status <0>
[ 2871.959195] e1000: eth0: e1000_clean_tx_irq: Detected Tx Unit Hang
[ 2871.959198]   Tx Queue             <0>
[ 2871.959200]   TDH                  <6>
[ 2871.959201]   TDT                  <6>
[ 2871.959202]   next_to_use          <6>
[ 2871.959204]   next_to_clean        <0>
[ 2871.959205] buffer_info[next_to_clean]
[ 2871.959206]   time_stamp           <10009c3ec>
[ 2871.959208]   next_to_watch        <0>
[ 2871.959209]   jiffies              <10009cba2>
[ 2871.959211]   next_to_watch.status <0>

ethtool -i eth0
driver: e1000
version: 7.3.20-k2-NAPI
firmware-version: N/A
bus-info: 0000:01:09.0

 ethtool -e eth0
Offset		Values
------		------
0x0000		00 0e 0c a8 a2 09 10 02 ff ff 00 10 ff ff ff ff 
0x0010		02 c8 01 35 0b 64 76 13 86 80 7c 10 86 80 84 b2 
0x0020		dd 20 55 55 00 00 90 2f 00 32 12 00 20 1e 12 00 
0x0030		20 1e 12 00 20 1e 12 00 20 1e 09 00 00 02 00 00 
0x0040		0c 00 a6 93 0b 28 00 00 00 04 ff ff ff ff ff ff 
0x0050		ff ff ff ff ff ff ff ff ff ff ff ff ff ff 02 06 
0x0060		00 01 00 40 16 12 07 40 ff ff ff ff ff ff ff ff 
0x0070		ff ff ff ff ff ff ff ff ff ff ff ff ff ff 15 05 

01:09.0 Ethernet controller: Intel Corporation 82541PI Gigabit Ethernet Controller (rev 05)
	Subsystem: Intel Corporation PRO/1000 GT Desktop Adapter
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (63750ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fddc0000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at fdda0000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at bc00 [size=64]
	Expansion ROM at fde00000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [e4] PCI-X non-bridge device
		Command: DPERE- ERO+ RBC=512 OST=1
		Status: Dev=00:00.0 64bit- 133MHz- SCD- USC- DC=simple DMMRBC=2048 DMOST=1 DMCRS=8 RSCEM- 266MHz- 533MHz-
	Kernel driver in use: e1000
	Kernel modules: e1000

Regards Matthias

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-xen-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Mon, 23 Mar 2009 20:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Cleve <toad42@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Mar 2009 20:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 518182@bugs.debian.org (full text, mbox):

From: Peter Cleve <toad42@arcor.de>
To: 518182@bugs.debian.org
Subject: Same thing here too
Date: Mon, 23 Mar 2009 20:58:36 +0100
Same thing here too. (Problem appears with >= 4gb RAM)
I also found some discussion at this link: 
http://www.mail-archive.com/e1000-devel@lists.sourceforge.net/msg01150.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Mon, 10 Aug 2009 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 10 Aug 2009 17:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 518182@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Peter Cleve <toad42@arcor.de>
Cc: 518182@bugs.debian.org, matthias kreis <matthias.kreis@remasec.ch>
Subject: Re: Same thing here too
Date: Mon, 10 Aug 2009 19:24:11 +0200
On Mon, Mar 23, 2009 at 08:58:36PM +0100, Peter Cleve wrote:
> Same thing here too. (Problem appears with >= 4gb RAM)
> I also found some discussion at this link: http://www.mail-archive.com/e1000-devel@lists.sourceforge.net/msg01150.html

I couldn't find an upstream commit, which indicates that this
has been resolved upstream so far, but I might've overlooked
something.

Could you please test one of the trunk kernels from
http://wiki.debian.org/DebianKernel and report the problem
at bugzilla.kernel.org, so that it's properly tracked?

Cheers,
        Moritz





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Mon, 10 Aug 2009 20:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to matthias kreis <matthias.kreis@remasec.ch>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 10 Aug 2009 20:06:08 GMT) Full text and rfc822 format available.

Message #20 received at 518182@bugs.debian.org (full text, mbox):

From: matthias kreis <matthias.kreis@remasec.ch>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Peter Cleve <toad42@arcor.de>, 518182@bugs.debian.org
Subject: Re: Same thing here too
Date: Mon, 10 Aug 2009 21:58:41 +0200
Hello Moritz

Thanks for your Feedback. I first have to check if I have an adapter
left. I use them now in a productive esx server.

The rest of the hardware is still there. Mayby I have to buy an adapter
for further test. I'll let you know.

Best regards

Matthias Kreis


Moritz Muehlenhoff schrieb:
> On Mon, Mar 23, 2009 at 08:58:36PM +0100, Peter Cleve wrote:
>> Same thing here too. (Problem appears with >= 4gb RAM)
>> I also found some discussion at this link: http://www.mail-archive.com/e1000-devel@lists.sourceforge.net/msg01150.html
> 
> I couldn't find an upstream commit, which indicates that this
> has been resolved upstream so far, but I might've overlooked
> something.
> 
> Could you please test one of the trunk kernels from
> http://wiki.debian.org/DebianKernel and report the problem
> at bugzilla.kernel.org, so that it's properly tracked?
> 
> Cheers,
>         Moritz
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Thu, 13 Aug 2009 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Kreis <Matthias.Kreis@remasec.ch>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Aug 2009 13:21:04 GMT) Full text and rfc822 format available.

Message #25 received at 518182@bugs.debian.org (full text, mbox):

From: Matthias Kreis <Matthias.Kreis@remasec.ch>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Peter Cleve <toad42@arcor.de>, 518182@bugs.debian.org
Subject: Re: Same thing here too
Date: Thu, 13 Aug 2009 15:13:22 +0200
Hello

Here is an update on the bug. I have testet with this two kernels from
trunk:

ii  linux-image-2.6.30-trunk-amd64
2.6.30-1~experimental.1~snapshot.13813     Linux 2.6.30 image on AMD64

ii  linux-image-2.6.31-rc5-amd64
2.6.31~rc5-1~experimental.1~snapshot.14098 Linux 2.6.31-rc5 image on AMD64

I still geht the following errors if I plug in a network cabel:

[  224.836006] ADDRCONF(NETDEV_CHANGE): eth2: link becomes ready
[  226.805038] e1000: eth2: e1000_clean_tx_irq: Detected Tx Unit Hang
[  226.805043]   Tx Queue             <0>
[  226.805046]   TDH                  <4>
[  226.805048]   TDT                  <4>
[  226.805050]   next_to_use          <4>
[  226.805052]   next_to_clean        <0>
[  226.805054] buffer_info[next_to_clean]
[  226.805056]   time_stamp           <ffffb69b>
[  226.805058]   next_to_watch        <0>
[  226.805060]   jiffies              <ffffb885>
[  226.805062]   next_to_watch.status <0>
[  228.804222] e1000: eth2: e1000_clean_tx_irq: Detected Tx Unit Hang
[  228.804227]   Tx Queue             <0>
[  228.804230]   TDH                  <4>
[  228.804232]   TDT                  <4>
[  228.804234]   next_to_use          <4>
[  228.804236]   next_to_clean        <0>
[  228.804238] buffer_info[next_to_clean]
[  228.804240]   time_stamp           <ffffb69b>
[  228.804242]   next_to_watch        <0>
[  228.804244]   jiffies              <ffffba79>
[  228.804247]   next_to_watch.status <0>
[  229.080126] e1000: eth2 NIC Link is Down


lspci:

00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce
6150] (rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.2 RAM memory: nVidia Corporation MCP51 Memory Controller 0 (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller
(rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller
(rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio
(rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network
Connection
02:05.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A
IEEE-1394a-2000 Controller (PHY/Link)
02:08.0 Ethernet controller: Intel Corporation 82541PI Gigabit Ethernet
Controller (rev 05)

Memory Info:
 cat /proc/meminfo
MemTotal:        6097292 kB
MemFree:         5932588 kB
Buffers:            7036 kB
Cached:            60248 kB
SwapCached:            0 kB
Active:            60028 kB
Inactive:          47764 kB
Active(anon):      40980 kB
Inactive(anon):        0 kB
Active(file):      19048 kB
Inactive(file):    47764 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:       5855684 kB
SwapFree:        5855684 kB
Dirty:                 0 kB
Writeback:             0 kB
AnonPages:         40508 kB
Mapped:            18928 kB
Slab:              19824 kB
SReclaimable:       6780 kB
SUnreclaim:        13044 kB
PageTables:         3252 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:     8904328 kB
Committed_AS:      93232 kB
VmallocTotal:   34359738367 kB
VmallocUsed:      289584 kB
VmallocChunk:   34359446583 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:       2048 kB
DirectMap4k:        9152 kB
DirectMap2M:     6248448 kB

Hardware is M2NPV-VM with 6 GB Memory.

Regards Matthias Kreis

PS: The system can be made available for debugging if needed.




Moritz Muehlenhoff schrieb:
> On Mon, Mar 23, 2009 at 08:58:36PM +0100, Peter Cleve wrote:
>> Same thing here too. (Problem appears with >= 4gb RAM)
>> I also found some discussion at this link: http://www.mail-archive.com/e1000-devel@lists.sourceforge.net/msg01150.html
> 
> I couldn't find an upstream commit, which indicates that this
> has been resolved upstream so far, but I might've overlooked
> something.
> 
> Could you please test one of the trunk kernels from
> http://wiki.debian.org/DebianKernel and report the problem
> at bugzilla.kernel.org, so that it's properly tracked?
> 
> Cheers,
>         Moritz
> 


-- 
remasec kreis
Matthias Kreis			E-Mail: matthias.kreis@remasec.ch
Alte Landstrasse 106		Tel:	071 770 0350
Postfach 202			Fax:    071 770 0351
9445 Rebstein			Web: 	www.remasec.ch





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Thu, 13 Aug 2009 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Aug 2009 15:33:06 GMT) Full text and rfc822 format available.

Message #30 received at 518182@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Matthias Kreis <Matthias.Kreis@remasec.ch>, 518182@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, Peter Cleve <toad42@arcor.de>
Subject: Re: Bug#518182: Same thing here too
Date: Thu, 13 Aug 2009 17:25:39 +0200
On Thu, Aug 13, 2009 at 03:13:22PM +0200, Matthias Kreis wrote:
> Hello
> 
> Here is an update on the bug. I have testet with this two kernels from
> trunk:
> 
> ii  linux-image-2.6.30-trunk-amd64
> 2.6.30-1~experimental.1~snapshot.13813     Linux 2.6.30 image on AMD64
> 
> ii  linux-image-2.6.31-rc5-amd64
> 2.6.31~rc5-1~experimental.1~snapshot.14098 Linux 2.6.31-rc5 image on AMD64
> 
> I still geht the following errors if I plug in a network cabel:
> 
> [  224.836006] ADDRCONF(NETDEV_CHANGE): eth2: link becomes ready
> [  226.805038] e1000: eth2: e1000_clean_tx_irq: Detected Tx Unit Hang
> [  226.805043]   Tx Queue             <0>
> [  226.805046]   TDH                  <4>
> [  226.805048]   TDT                  <4>
> [  226.805050]   next_to_use          <4>
> [  226.805052]   next_to_clean        <0>
> [  226.805054] buffer_info[next_to_clean]
> [  226.805056]   time_stamp           <ffffb69b>
> [  226.805058]   next_to_watch        <0>
> [  226.805060]   jiffies              <ffffb885>
> [  226.805062]   next_to_watch.status <0>
> [  228.804222] e1000: eth2: e1000_clean_tx_irq: Detected Tx Unit Hang
> [  228.804227]   Tx Queue             <0>
> [  228.804230]   TDH                  <4>
> [  228.804232]   TDT                  <4>
> [  228.804234]   next_to_use          <4>
> [  228.804236]   next_to_clean        <0>
> [  228.804238] buffer_info[next_to_clean]
> [  228.804240]   time_stamp           <ffffb69b>
> [  228.804242]   next_to_watch        <0>
> [  228.804244]   jiffies              <ffffba79>
> [  228.804247]   next_to_watch.status <0>
> [  229.080126] e1000: eth2 NIC Link is Down
> 
> 
> lspci:
> 
> 00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
> 00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
> 00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
> 00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
> 00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
> 00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
> 00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
> 00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
> 00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
> 00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce
> 6150] (rev a2)
> 00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
> 00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
> 00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
> 00:0a.2 RAM memory: nVidia Corporation MCP51 Memory Controller 0 (rev a3)
> 00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
> 00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
> 00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
> 00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller
> (rev a1)
> 00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller
> (rev a1)
> 00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
> 00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio
> (rev a2)
> 00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
> 00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
> HyperTransport Technology Configuration
> 00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
> Address Map
> 00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
> DRAM Controller
> 00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
> Miscellaneous Control
> 01:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network
> Connection
> 02:05.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A
> IEEE-1394a-2000 Controller (PHY/Link)
> 02:08.0 Ethernet controller: Intel Corporation 82541PI Gigabit Ethernet
> Controller (rev 05)
> 

please report upstream with dmesg and lspci -vv as latest rc is still 
effected on bugzilla.kernel.org and let us know the bug nr.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Mon, 24 Aug 2009 08:03:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Kreis <Matthias.Kreis@remasec.ch>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 Aug 2009 08:03:28 GMT) Full text and rfc822 format available.

Message #35 received at 518182@bugs.debian.org (full text, mbox):

From: Matthias Kreis <Matthias.Kreis@remasec.ch>
To: maximilian attems <max@stro.at>
Cc: 518182@bugs.debian.org, Moritz Muehlenhoff <jmm@inutil.org>, Peter Cleve <toad42@arcor.de>
Subject: Re: Bug#518182: Same thing here too
Date: Mon, 24 Aug 2009 09:33:17 +0200
Hello

> please report upstream with dmesg and lspci -vv as latest rc is still 
> effected on bugzilla.kernel.org and let us know the bug nr.

Bug Number is 14048 on bugzilla.kernel.org

-- 
remasec kreis
Matthias Kreis			E-Mail: matthias.kreis@remasec.ch
Alte Landstrasse 106		Tel:	071 770 0350
Postfach 202			Fax:    071 770 0351
9445 Rebstein			Web: 	www.remasec.ch





Set Bug forwarded-to-address to 'http://bugzilla.kernel.org/show_bug.cgi?id=14048'. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Mon, 24 Aug 2009 16:58:16 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 07 Oct 2010 16:39:51 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 23. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 08 Oct 2010 04:39:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 10 Oct 2010 17:57:02 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Fri, 15 Oct 2010 00:15:04 GMT) Full text and rfc822 format available.

Notification sent to matthias kreis <matthias.kreis@remasec.ch>:
Bug acknowledged by developer. (Fri, 15 Oct 2010 00:15:04 GMT) Full text and rfc822 format available.

Message #48 received at 518182-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 518182-close@bugs.debian.org
Subject: Bug#518182: fixed in linux-2.6 2.6.32-25
Date: Fri, 15 Oct 2010 00:12:26 +0000
Source: linux-2.6
Source-Version: 2.6.32-25

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-25_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-25_all.deb
linux-2.6_2.6.32-25.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-25.diff.gz
linux-2.6_2.6.32-25.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-25.dsc
linux-base_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-25_all.deb
linux-doc-2.6.32_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-25_all.deb
linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb
linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
linux-image-2.6.32-5-486_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-25_i386.deb
linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
linux-image-2.6.32-5-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-25_i386.deb
linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
linux-libc-dev_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-25_i386.deb
linux-manual-2.6.32_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-25_all.deb
linux-patch-debian-2.6.32_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-25_all.deb
linux-source-2.6.32_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-25_all.deb
linux-support-2.6.32-5_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-25_all.deb
linux-tools-2.6.32_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-tools-2.6.32_2.6.32-25_i386.deb
xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 518182@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Oct 2010 01:08:05 -0600
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all i386
Version: 2.6.32-25
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 518182 588551 598518 599021 599089 599395 599457 599507 599768
Changes: 
 linux-2.6 (2.6.32-25) unstable; urgency=high
 .
   [ Ben Hutchings ]
   * mmc: build fix: mmc_pm_notify is only available with CONFIG_PM=y
   * Add stable 2.6.32.24 (trivial fix, already applied)
   * ipg: Remove device claimed by dl2k from pci id table (Closes: #599021)
   * linux-image: Include modules.order in image packages (Closes: #598518)
   * [x86] isdn/i4l: Reenable ISDN4Linux drivers, but mark them as staging
     (Closes: #588551)
     - hisax: Disable device aliases that conflict with mISDN
   * Update Danish debconf template translation (Joe Hansen) (Closes: #599457)
   * [x86] KVM: SVM: Fix wrong intercept masks on 32 bit (Closes: #599507)
   * e1000: fix Tx hangs by disabling 64-bit DMA (Closes: #518182)
   * rt2x00: Fix calculation of required TX headroom (Closes: #599395)
   * Add drm changes from 2.6.32.22+drm33.10:
     - i915: Don't touch PORT_HOTPLUG_EN in intel_dp_detect()
     - i915: Kill dangerous pending-flip debugging
     - radeon: release AGP bridge at suspend
     - radeon: initialize set_surface_reg for rs600 asic
   * [x86] toshiba_acpi: Add full hotkey support (Closes: #599768)
 .
   [ Stephen R. Marenka ]
   * m68k: fix missing io macros.
   * m68k: modular swim on mac.
   * m68k: never build staging drivers on m68k.
   * m68k: build in rtc class on atari.
 .
   [ Ian Campbell ]
   * xen: do not truncate machine address on gnttab_copy_grant_page hypercall
     (Closes: #599089)
 .
   [ dann frazier ]
   * drm/i915: Sanity check pread/pwrite (CVE-2010-2962)
   * drm/i915: Rephrase pwrite bounds checking to avoid any potential overflow
   * GFS2: Fix writing to non-page aligned gfs2_quota structures (CVE-2010-1436)
   * hvc_console: Fix race between hvc_close and hvc_remove (CVE-2010-2653)
   * net sched: fix some kernel memory leaks (CVE-2010-2942)
   * niu: Fix kernel buffer overflow for ETHTOOL_GRXCLSRLALL (CVE-2010-3084)
   * rose: Fix signedness issues wrt. digi count (CVE-2010-3310)
   * Fix pktcdvd ioctl dev_minor range check (CVE-2010-3437)
   * ALSA: prevent heap corruption in snd_ctl_new() (CVE-2010-3442)
   * net sched: fix kernel leak in act_police (CVE-2010-3477)
   * sctp: Fix out-of-bounds reading in sctp_asoc_get_hmac() (CVE-2010-3705)
Checksums-Sha1: 
 c1ad34fb456b4a216f0935ea5af7723c4ecbf07b 6329 linux-2.6_2.6.32-25.dsc
 6fada680e1969f55d90876168d6d3c33a4eb4db4 13265962 linux-2.6_2.6.32-25.diff.gz
 081c34be29247bcb2c30df68c1ea3278418056c8 6044936 linux-doc-2.6.32_2.6.32-25_all.deb
 7e2c63446652d327518bb5ec85d0070dac4647f7 2722130 linux-manual-2.6.32_2.6.32-25_all.deb
 95499c8890865275a86e7c8c2df3e7ca879893a8 6822232 linux-patch-debian-2.6.32_2.6.32-25_all.deb
 354a75476c427498c25e772a464ece588f89bec3 64802158 linux-source-2.6.32_2.6.32-25_all.deb
 6ec7c34f97259a136ba34c87d6b6ae0ff144605f 151624 linux-support-2.6.32-5_2.6.32-25_all.deb
 3c3200cedffa482c1bdf76e6cecb20973b3b08e5 139972 firmware-linux-free_2.6.32-25_all.deb
 74563d2393b7fab50d00b1cca372aef48a1d56e2 158580 linux-base_2.6.32-25_all.deb
 b44d0c0a3c619bb7379c411f85c348769a6085b7 27167756 linux-image-2.6.32-5-486_2.6.32-25_i386.deb
 b133484600467e9b7de9f416b98ca0c6581a9390 483898 linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
 4cc9fda5d840840fcfd4537da9ef7af4b7223b65 27309450 linux-image-2.6.32-5-686_2.6.32-25_i386.deb
 ab2dd79b4bd5b6302ddc778495ef51a231ff244a 485068 linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
 7a6994e0534f013f19950ac3cff310596846dcc6 27507046 linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 7c0169e6de8ce0ccabbf63280b37532e685054a2 414325950 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
 2c9dc8b4210e66b80c9a77bde828d736ed18c1ac 523684 linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 dc16107b938930add545dabc0da1b4a481c0e59a 28389050 linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
 00ede8296e315eed33b0a3ce6896032628ffa814 479484 linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
 5c17633e2891b5159da51dc4f991bc7c6f227121 3882982 linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
 ac7b9944cfea5cbb02ea30c3c8d7295994a08574 27644080 linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 f6941af762f7f97864dfc8d456f073fac583f46d 489247594 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
 9d9488b8a1fe4ce784425b582c64e1fd73c711d7 548354 linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 fdcfbe015dd78a3dd985966b6fc3d5882f6e2239 3934452 linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
 785f7e6fd8e5c3799630206fbd70523ee3d0ada5 135192 linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
 79f7c6a87a8f50cffe7963e67347eb628c75b85e 135246 linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
 f19ca2b468a1791f95e6512ca0a9664066b3f92d 831990 linux-libc-dev_2.6.32-25_i386.deb
 f5edc05730ca16c46518e2453fbf2126252a17f7 284136 linux-tools-2.6.32_2.6.32-25_i386.deb
 4f82a89157b280924dc2ddfb9a900533bfafa285 27365308 linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 bb1e73ecb0ad90b4f32466e4571337e176edacbc 485624 linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 ecfbda71ceaa92bab593aefee62b795522288aa4 27560112 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 5f836ffb79e5ceb7c5f2313065acf3907a04b159 424555158 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
 4cbb108bd3a026364ec85765cf8ebc13d8588741 526370 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 db7008ada94d8979736dce9b3d2b361e13393642 3915800 linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
 60b1bed2335137d526084dfd0a473ec408e3f4bc 27594270 linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
 732ac8a9e5cb62a848bb965dc4c17e9ffefc32a3 417132102 linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
 f0bffd073408224159892fa09c4ab71ad6459a8a 526444 linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
 f379e4cc9bdf2313b0644d69df6d30126930e506 135178 xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb
 ae9fd3ab07e106c5b1cd7950c9100a0e8b897693 3900326 linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb
Checksums-Sha256: 
 fefda6736f77858b0119903be3510a7835667c192964c72cd6eb6b84a839fdb1 6329 linux-2.6_2.6.32-25.dsc
 9059ff37bfe26a2fa2bdc6853dd520ec9ce08d7f46708bc1615923dac963d870 13265962 linux-2.6_2.6.32-25.diff.gz
 d41752191e826e14785f4103249861172941b493b9a59f4b679b7bf76d6db57f 6044936 linux-doc-2.6.32_2.6.32-25_all.deb
 fb783d3b1867812ef6eee29cf8865d278044a6bd83b7e3bf2d80684510ac2636 2722130 linux-manual-2.6.32_2.6.32-25_all.deb
 c4888f512cbb5d6c35152890da77630f0d3331dd0a6e872d52a1d93f9d8d6809 6822232 linux-patch-debian-2.6.32_2.6.32-25_all.deb
 6f5afbaf35ab10705925e9a78c53957f58b76d0fd837c8e3714ade00aa273634 64802158 linux-source-2.6.32_2.6.32-25_all.deb
 2814a2f965c5b8bd8e756d60eb010b6ea966d6979dd52ac87ec680eee6c11abd 151624 linux-support-2.6.32-5_2.6.32-25_all.deb
 08bd047df25ae05d9b4e6ffc00195b4251d115fdd3804255f22f5e1e1984d251 139972 firmware-linux-free_2.6.32-25_all.deb
 90ea33b94b645e7dc904210b3857876b7075ab51f56f6544e2bb801add5856a8 158580 linux-base_2.6.32-25_all.deb
 03a8928ab84e1beeedac41e4bbcd7c172ede03ea99a8da5908d5b8007e1de1e9 27167756 linux-image-2.6.32-5-486_2.6.32-25_i386.deb
 3eb6286413cf161bdfbf735c421e148b555c2174d66e0a42c878728ca4fc9ff1 483898 linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
 7073c64d516dbd84e45a4d5fbe7ebeeae2be98ad8ca44c9776f420864efbd485 27309450 linux-image-2.6.32-5-686_2.6.32-25_i386.deb
 7899ff7dbf52e50179894f8d9d99e5ac7b7d0a8f773bbe6632bc7723087dda35 485068 linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
 cf7b174aaca90e78d94e18b93eb113e72396cf2da4e5be819d4ddf50f7bd71d6 27507046 linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 d1883f47d48587d8be209fbfec82794169f2bdf42e44396b8b32cb011d6c69f5 414325950 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
 7b58a5cec53f5a932d3523c3204bad7ee6f4efe2172611195c3194fcbc1196ff 523684 linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 7453f159b33dd44baa502d34921d414dc3e03bb42fdb591f7b2e8ba44e644d77 28389050 linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
 3b9b90fc1eb0ca221c10a2cc59d3e9fbf1f55be0e8c391a493c9b974fd1f8145 479484 linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
 5a49722ee95fe75efede6ec8af57b4515ae9cd911dfea2d8ea591bbdb726bb9f 3882982 linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
 e6c13a1e9c4f86b23645a0dd86e15940628b8429c7f7cda0fcb20b4250a1aaa6 27644080 linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 f88725dff30a784485b160c625f7e6bcc8084d799b31b2d5c5d66ac1cc18cae1 489247594 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
 6de8eea476945481ec6b2e23f473d1729ba8ad94a3fa98378518917690a2ce0d 548354 linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 1f384d877a4cb8296934f9789c91dc8d6609052c969c398539e5e33db41c9da3 3934452 linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
 c9face8621507cab3fc4314ac0a464adfe06e97c366541accfa262c550df2658 135192 linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
 665d4025ae71cc735c289b77251f73b5a98b7153aed6c0a563ff540b7bc92eeb 135246 linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
 cb61c43191f1f4a86d2f124266c31aec14d33636ea74e8e45432e5f8016eac29 831990 linux-libc-dev_2.6.32-25_i386.deb
 1c0e009a45c7c3859ae20b653ea4383f87e53639d7a419f9015cd7b3b8757312 284136 linux-tools-2.6.32_2.6.32-25_i386.deb
 2faa1003c0435489a3bd3120c975b5ed36d9417769c16d82a9c468c234380686 27365308 linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 07abe5140d110e1db0e60214d64762b77b1a6690266eba55c37848c8a6c08754 485624 linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 f328dfac634cb01d9b795dafb74ed2ed1308f2f81011dd46fcda6bcd935999ad 27560112 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 8b9c004da85348ea78502ecc3f55d43e31ec9a8c142e48cad4e5b250ed2b0557 424555158 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
 90b016d1f55ec15527807fae14a688eb20f00d5e458d4fc21d2ca3f92d7d3483 526370 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 a320c3ec6519a86399f51ebed816192fe8b8e44689e40b4c49b7a1be55946d65 3915800 linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
 9a24a1e43df303a1acee89b00677616aca6b05c13a1f2f380850209d58d0bfdc 27594270 linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
 aa821a037f37755f33c89bb895d560c4e357b43e179c39d9430bb26c44fe692f 417132102 linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
 c833a32e0c448e30019efa0911e9d8a345646ee7accf464f8ac3b7620b005aec 526444 linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
 b5d4b7c555eeb3889f5b92b7cc5ba4cc3900bc158ccb65e7c9c48cc35024b23a 135178 xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb
 734ec7bfd3f11ebb10d13528feb9e07805b6262b370782d3c5533d115c862c95 3900326 linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb
Files: 
 0562009655dac8f85a6765fa4fb3e365 6329 kernel optional linux-2.6_2.6.32-25.dsc
 a2d3de301fbf9a71351bc30ec5322cad 13265962 kernel optional linux-2.6_2.6.32-25.diff.gz
 795ed01ea800ee09b2981e8415ddd72a 6044936 doc optional linux-doc-2.6.32_2.6.32-25_all.deb
 f73c637355f6e7893d93f4a6deab4e77 2722130 doc optional linux-manual-2.6.32_2.6.32-25_all.deb
 b451b9bc0dbdce3798a3dc1123bc4893 6822232 kernel optional linux-patch-debian-2.6.32_2.6.32-25_all.deb
 e2b2ca50a41633c3fa9a84d3b7a1ba8f 64802158 kernel optional linux-source-2.6.32_2.6.32-25_all.deb
 96cdb41c57c4f1655cd9df8cb9eaea29 151624 devel optional linux-support-2.6.32-5_2.6.32-25_all.deb
 0482f9fca28f89aaa6f18d0839f22500 139972 kernel optional firmware-linux-free_2.6.32-25_all.deb
 8634ebd77694572dd9b33af1e8716a58 158580 kernel optional linux-base_2.6.32-25_all.deb
 f29bd284665aad5f82cd2380c4378783 27167756 kernel optional linux-image-2.6.32-5-486_2.6.32-25_i386.deb
 ef0e901ec481cb66881d6e36c6cdf0c6 483898 kernel optional linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
 9d77b10b1ce660a0e039790853539fda 27309450 kernel optional linux-image-2.6.32-5-686_2.6.32-25_i386.deb
 45b5460d56aa8b55990da8ca8d4ac577 485068 kernel optional linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
 28d60b3be3e0a819f4f5dfb2c41ebcac 27507046 kernel optional linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 6347c4264634e0ad2a4f6bcd6d949580 414325950 debug extra linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
 951f416ea685dd477347bbfc285e3d0e 523684 kernel optional linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 011f33982730c79e7dc5e7d342d349d5 28389050 kernel optional linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
 2fc9350f153bfb1caab4b53a8b25ae7e 479484 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
 992bd6281ab22634d6a7580a516c4f6d 3882982 kernel optional linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
 e7a5a66d5f79d9d423d861234aea8df7 27644080 kernel optional linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 3f409ad4108c67e096cf47f9f0d5981c 489247594 debug extra linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
 e7ba275a4c18e97daa96f1a7b4876e59 548354 kernel optional linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 c749744a693518d0dc85485cb3429521 3934452 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
 b1e2bd0e15805b055d50e8f351ce893f 135192 kernel optional linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
 35851bb4e0ccdbcaa76a4f9a952ade05 135246 kernel optional linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
 b312ad6b6d30790ac7db4ed2e18e5c0e 831990 devel optional linux-libc-dev_2.6.32-25_i386.deb
 51c9f7695d19ecf2ca2f727c26276d7d 284136 kernel optional linux-tools-2.6.32_2.6.32-25_i386.deb
 b88a7276f18ca51092598a8c52e429ef 27365308 kernel optional linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 c72f4bd8d170fe315a82d323d4711b12 485624 kernel optional linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 aee94a68a93ea1c570e66a697bf4422d 27560112 kernel optional linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 fcd341a051d254912b62bba30ba63069 424555158 debug extra linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
 63de068cfaf9ea7d432abe6f8f6c470d 526370 kernel optional linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 908dede1ccb619107a113ff2fcc2ae8b 3915800 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
 200e16251e01044a2804ef69ecc07237 27594270 kernel optional linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
 307101bd453c4117b28b2b601eecde6d 417132102 debug extra linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
 ec3c499b8c55c55fd9a9e42295ce1a41 526444 kernel optional linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
 b07a3a436c8ff2d23dddbac49f7cb1d0 135178 kernel optional xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb
 9df335d47c580f9257a55351250b02c1 3900326 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD4DBQFMt3KUhuANDBmkLRkRAh+ZAJig5TmqZzJJsNqGT0nICH50PNHaAJ47ky1t
UDPl9Dl8l01dkeJ2oyIBFw==
=yIam
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Mon, 15 Nov 2010 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Neal H. Walfield" <neal@walfield.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Nov 2010 09:48:03 GMT) Full text and rfc822 format available.

Message #53 received at 518182@bugs.debian.org (full text, mbox):

From: "Neal H. Walfield" <neal@walfield.org>
To: 518182@bugs.debian.org
Subject: e1000: Detected Tx Unit Hang in 2.6.32-27: not fixed? regression?
Date: Mon, 15 Nov 2010 10:27:08 +0100
Hi,

I just did a fresh install of Squeeze (using the Beta1 d-i, amd64).  I
encountered this bug using 2.6.32-27, although the bug was allegedly
fixed in 2.6.32-25.

My machine has exactly 4 GB of RAM and an AMD 64 X2 5200+ CPU.
Additional details follow.

Thanks,
Neal

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                 Version                              Description
+++-====================================-====================================-==========================================================================
un  linux-image-2.6                      <none>                               (no description available)
ii  linux-image-2.6-amd64                2.6.32+28                            Linux 2.6 for 64-bit PCs (meta-package)
un  linux-image-2.6-openvz-amd64         <none>                               (no description available)
un  linux-image-2.6-vserver-amd64        <none>                               (no description available)
un  linux-image-2.6-xen-amd64            <none>                               (no description available)
ii  linux-image-2.6.32-5-amd64           2.6.32-27                            Linux 2.6.32 for 64-bit PCs



Nov 15 09:51:18 maurice kernel: [66202.176123] e1000: eth0 NIC Link is Down
Nov 15 09:53:23 maurice kernel: [66326.613674] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
Nov 15 10:02:03 maurice kernel: [66846.805168] e1000: eth0: e1000_clean_tx_irq: Detected Tx Unit Hang
Nov 15 10:02:03 maurice kernel: [66846.805172]   Tx Queue             <0>
Nov 15 10:02:03 maurice kernel: [66846.805174]   TDH                  <a>
Nov 15 10:02:03 maurice kernel: [66846.805176]   TDT                  <22>
Nov 15 10:02:03 maurice kernel: [66846.805178]   next_to_use          <22>
Nov 15 10:02:03 maurice kernel: [66846.805180]   next_to_clean        <a>
Nov 15 10:02:03 maurice kernel: [66846.805182] buffer_info[next_to_clean]
Nov 15 10:02:03 maurice kernel: [66846.805184]   time_stamp           <100fdd9de>
Nov 15 10:02:03 maurice kernel: [66846.805186]   next_to_watch        <a>
Nov 15 10:02:03 maurice kernel: [66846.805188]   jiffies              <100fddb1d>
Nov 15 10:02:03 maurice kernel: [66846.805190]   next_to_watch.status <0>
Nov 15 10:02:05 maurice kernel: [66848.805058] e1000: eth0: e1000_clean_tx_irq: Detected Tx Unit Hang
Nov 15 10:02:05 maurice kernel: [66848.805062]   Tx Queue             <0>
Nov 15 10:02:05 maurice kernel: [66848.805064]   TDH                  <a>
Nov 15 10:02:05 maurice kernel: [66848.805066]   TDT                  <22>
Nov 15 10:02:05 maurice kernel: [66848.805068]   next_to_use          <22>
Nov 15 10:02:05 maurice kernel: [66848.805070]   next_to_clean        <a>
Nov 15 10:02:05 maurice kernel: [66848.805072] buffer_info[next_to_clean]
Nov 15 10:02:05 maurice kernel: [66848.805074]   time_stamp           <100fdd9de>
Nov 15 10:02:05 maurice kernel: [66848.805076]   next_to_watch        <a>
Nov 15 10:02:05 maurice kernel: [66848.805078]   jiffies              <100fddd11>
Nov 15 10:02:05 maurice kernel: [66848.805080]   next_to_watch.status <0>
Nov 15 10:02:07 maurice kernel: [66850.804156] e1000: eth0: e1000_clean_tx_irq: Detected Tx Unit Hang
Nov 15 10:02:07 maurice kernel: [66850.804161]   Tx Queue             <0>
Nov 15 10:02:07 maurice kernel: [66850.804163]   TDH                  <a>
Nov 15 10:02:07 maurice kernel: [66850.804165]   TDT                  <22>
Nov 15 10:02:07 maurice kernel: [66850.804167]   next_to_use          <22>
Nov 15 10:02:07 maurice kernel: [66850.804169]   next_to_clean        <a>
Nov 15 10:02:07 maurice kernel: [66850.804171] buffer_info[next_to_clean]
Nov 15 10:02:07 maurice kernel: [66850.804173]   time_stamp           <100fdd9de>
Nov 15 10:02:07 maurice kernel: [66850.804175]   next_to_watch        <a>
Nov 15 10:02:07 maurice kernel: [66850.804177]   jiffies              <100fddf05>
Nov 15 10:02:07 maurice kernel: [66850.804179]   next_to_watch.status <0>
Nov 15 10:02:08 maurice kernel: [66851.804025] ------------[ cut here ]------------
Nov 15 10:02:08 maurice kernel: [66851.804045] WARNING: at /build/mattems-linux-2.6_2.6.32-27-amd64-IsDpkI/linux-2.6-2.6.32/debian/build/source_amd64_none/net/sched/sch_generic.c:261 dev_watchdog+0xe2/0x194()
Nov 15 10:02:08 maurice kernel: [66851.804052] Hardware name: To Be Filled By O.E.M.
Nov 15 10:02:08 maurice kernel: [66851.804057] NETDEV WATCHDOG: eth0 (e1000): transmit queue 0 timed out
Nov 15 10:02:08 maurice kernel: [66851.804061] Modules linked in: des_generic cbc ppdev lp sco bridge stp bnep l2cap bluetooth rfkill powernow_k8 cpufreq_userspace cpufreq_stats cpufreq_powersave cpufreq_conservative binfmt_misc fuse rpcsec_gss_krb5 nfsd exportfs nfs lockd fscache nfs_acl auth_rpcgss sunrpc loop usb_storage snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_emul snd_emu10k1 snd_ac97_codec ac97_bus snd_pcm_oss snd_mixer_oss snd_pcm snd_page_alloc snd_util_mem snd_hwdep joydev snd_mpu401 snd_mpu401_uart snd_seq_midi radeon snd_rawmidi ttm snd_seq_midi_event snd_seq drm_kms_helper snd_timer snd_seq_device drm snd i2c_algo_bit emu10k1_gp gameport parport_pc soundcore parport psmouse evdev i2c_nforce2 edac_core k8temp shpchp edac_mce_amd pcspkr pci_hotplug serio_raw button i2c_core processor ext4 mbcache jbd2 crc16 hid_microsoft usbhid hid sg sr_mod cdrom sd_mod crc_t10dif ata_generic ohci_hcd pata_amd sata_nv thermal e1000 thermal_sys ehci_hcd libata forcedeth scsi_mod usbcore nls_base [la
Nov 15 10:02:08 maurice kernel: st unloaded: scsi_wait_scan]
Nov 15 10:02:08 maurice kernel: [66851.804205] Pid: 0, comm: swapper Not tainted 2.6.32-5-amd64 #1
Nov 15 10:02:08 maurice kernel: [66851.804209] Call Trace:
Nov 15 10:02:08 maurice kernel: [66851.804213]  <IRQ>  [<ffffffff81261c42>] ? dev_watchdog+0xe2/0x194
Nov 15 10:02:08 maurice kernel: [66851.804227]  [<ffffffff81261c42>] ? dev_watchdog+0xe2/0x194
Nov 15 10:02:08 maurice kernel: [66851.804235]  [<ffffffff8104dd8c>] ? warn_slowpath_common+0x77/0xa3
Nov 15 10:02:08 maurice kernel: [66851.804243]  [<ffffffff81261b60>] ? dev_watchdog+0x0/0x194
Nov 15 10:02:08 maurice kernel: [66851.804249]  [<ffffffff8104de14>] ? warn_slowpath_fmt+0x51/0x59
Nov 15 10:02:08 maurice kernel: [66851.804258]  [<ffffffff810412a7>] ? select_task_rq_fair+0x223/0x800
Nov 15 10:02:08 maurice kernel: [66851.804265]  [<ffffffff81261b34>] ? netif_tx_lock+0x3d/0x69
Nov 15 10:02:08 maurice kernel: [66851.804274]  [<ffffffff8124c9ac>] ? netdev_drivername+0x3b/0x40
Nov 15 10:02:08 maurice kernel: [66851.804281]  [<ffffffff81261c42>] ? dev_watchdog+0xe2/0x194
Nov 15 10:02:08 maurice kernel: [66851.804291]  [<ffffffff8101650e>] ? native_sched_clock+0x2e/0x66
Nov 15 10:02:08 maurice kernel: [66851.804300]  [<ffffffff8105a357>] ? run_timer_softirq+0x1c9/0x268
Nov 15 10:02:08 maurice kernel: [66851.804309]  [<ffffffff81053acf>] ? __do_softirq+0xdd/0x1a2
Nov 15 10:02:08 maurice kernel: [66851.804317]  [<ffffffff8102418a>] ? lapic_next_event+0x18/0x1d
Nov 15 10:02:08 maurice kernel: [66851.804325]  [<ffffffff81011cac>] ? call_softirq+0x1c/0x30
Nov 15 10:02:08 maurice kernel: [66851.804331]  [<ffffffff8101322b>] ? do_softirq+0x3f/0x7c
Nov 15 10:02:08 maurice kernel: [66851.804339]  [<ffffffff8105393e>] ? irq_exit+0x36/0x76
Nov 15 10:02:08 maurice kernel: [66851.804346]  [<ffffffff81024c58>] ? smp_apic_timer_interrupt+0x87/0x95
Nov 15 10:02:08 maurice kernel: [66851.804353]  [<ffffffff81011673>] ? apic_timer_interrupt+0x13/0x20
Nov 15 10:02:08 maurice kernel: [66851.804357]  <EOI>  [<ffffffff8102c580>] ? native_safe_halt+0x2/0x3
Nov 15 10:02:08 maurice kernel: [66851.804372]  [<ffffffff81017205>] ? default_idle+0x34/0x51
Nov 15 10:02:08 maurice kernel: [66851.804379]  [<ffffffff81017591>] ? c1e_idle+0xf5/0xfb
Nov 15 10:02:08 maurice kernel: [66851.804387]  [<ffffffff8100feb1>] ? cpu_idle+0xa2/0xda
Nov 15 10:02:08 maurice kernel: [66851.804393] ---[ end trace b82aa6db59ae7de8 ]---
Nov 15 10:02:11 maurice kernel: [66854.753709] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
Nov 15 10:02:29 maurice kernel: [66872.804198] e1000: eth0: e1000_clean_tx_irq: Detected Tx Unit Hang
Nov 15 10:02:29 maurice kernel: [66872.804202]   Tx Queue             <0>
Nov 15 10:02:29 maurice kernel: [66872.804205]   TDH                  <3>
Nov 15 10:02:29 maurice kernel: [66872.804207]   TDT                  <6>
Nov 15 10:02:29 maurice kernel: [66872.804209]   next_to_use          <6>
Nov 15 10:02:29 maurice kernel: [66872.804211]   next_to_clean        <3>
Nov 15 10:02:29 maurice kernel: [66872.804213] buffer_info[next_to_clean]
Nov 15 10:02:29 maurice kernel: [66872.804215]   time_stamp           <100fdf32b>
Nov 15 10:02:29 maurice kernel: [66872.804217]   next_to_watch        <5>
Nov 15 10:02:29 maurice kernel: [66872.804219]   jiffies              <100fdf481>
Nov 15 10:02:29 maurice kernel: [66872.804221]   next_to_watch.status <0>
Nov 15 10:02:31 maurice kernel: [66874.805181] e1000: eth0: e1000_clean_tx_irq: Detected Tx Unit Hang
Nov 15 10:02:31 maurice kernel: [66874.805185]   Tx Queue             <0>
Nov 15 10:02:31 maurice kernel: [66874.805188]   TDH                  <3>
Nov 15 10:02:31 maurice kernel: [66874.805190]   TDT                  <6>
Nov 15 10:02:31 maurice kernel: [66874.805192]   next_to_use          <6>
Nov 15 10:02:31 maurice kernel: [66874.805194]   next_to_clean        <3>
Nov 15 10:02:31 maurice kernel: [66874.805195] buffer_info[next_to_clean]
Nov 15 10:02:31 maurice kernel: [66874.805197]   time_stamp           <100fdf32b>
Nov 15 10:02:31 maurice kernel: [66874.805199]   next_to_watch        <5>
Nov 15 10:02:31 maurice kernel: [66874.805201]   jiffies              <100fdf675>
Nov 15 10:02:31 maurice kernel: [66874.805203]   next_to_watch.status <0>

lspci -v

00:00.0 Host bridge: nVidia Corporation nForce3 250Gb Host Bridge (rev a1)
	Subsystem: ASRock Incorporation Motherboard (one of many)
	Flags: bus master, 66MHz, fast devsel, latency 0
	Memory at <ignored> (32-bit, prefetchable)
	Capabilities: [44] HyperTransport: Slave or Primary Interface
	Capabilities: [c0] AGP version 3.0
	Kernel driver in use: agpgart-amd64

00:01.0 ISA bridge: nVidia Corporation nForce3 250Gb LPC Bridge (rev a2)
	Subsystem: ASRock Incorporation Motherboard (one of many)
	Flags: bus master, 66MHz, fast devsel, latency 0

00:01.1 SMBus: nVidia Corporation nForce 250Gb PCI System Management (rev a1)
	Subsystem: ASRock Incorporation Motherboard (one of many)
	Flags: 66MHz, fast devsel
	I/O ports at 5080 [size=32]
	I/O ports at 5000 [size=64]
	I/O ports at 5040 [size=64]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: nForce2_smbus

00:02.0 USB Controller: nVidia Corporation CK8S USB Controller (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Motherboard (one of many)
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	Memory at febff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:02.1 USB Controller: nVidia Corporation CK8S USB Controller (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Motherboard (one of many)
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at febfe000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:02.2 USB Controller: nVidia Corporation nForce3 EHCI USB 2.0 Controller (rev a2) (prog-if 20 [EHCI])
	Subsystem: ASRock Incorporation Motherboard (one of many)
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at febfdc00 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port: BAR=1 offset=0098
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ehci_hcd

00:05.0 Bridge: nVidia Corporation CK8S Ethernet Controller (rev a2)
	Subsystem: ASRock Incorporation Device 00df
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	Memory at febfc000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at ec00 [size=8]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: forcedeth

00:08.0 IDE interface: nVidia Corporation CK8S Parallel ATA Controller (v2.5) (rev a2) (prog-if 8a [Master SecP PriP])
	Subsystem: ASRock Incorporation Motherboard (one of many)
	Flags: bus master, 66MHz, fast devsel, latency 0
	[virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	[virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	I/O ports at ffa0 [size=16]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: pata_amd

00:0a.0 IDE interface: nVidia Corporation nForce3 Serial ATA Controller (rev a2) (prog-if 85 [Master SecO PriO])
	Subsystem: ASRock Incorporation Motherboard (one of many)
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
	I/O ports at 0f80 [size=8]
	I/O ports at 0f00 [size=4]
	I/O ports at 0e80 [size=8]
	I/O ports at 0e00 [size=4]
	I/O ports at e000 [size=16]
	I/O ports at d800 [size=128]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: sata_nv

00:0b.0 PCI bridge: nVidia Corporation nForce3 250Gb AGP Host to PCI Bridge (rev a2) (prog-if 00 [Normal decode])
	Flags: bus master, 66MHz, medium devsel, latency 16
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=10
	I/O behind bridge: 00009000-0000bfff
	Memory behind bridge: fe900000-fe9fffff
	Prefetchable memory behind bridge: b6800000-f67fffff

00:0e.0 PCI bridge: nVidia Corporation nForce3 250Gb PCI-to-PCI Bridge (rev a2) (prog-if 00 [Normal decode])
	Flags: bus master, 66MHz, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=128
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fea00000-feafffff

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
	Flags: fast devsel
	Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
	Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
	Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
	Flags: fast devsel
	Capabilities: [f0] Secure device <?>
	Kernel driver in use: k8temp

01:00.0 VGA compatible controller: ATI Technologies Inc RV350 AS [Radeon 9550] (prog-if 00 [VGA controller])
	Subsystem: PC Partner Limited Device 0200
	Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 18
	Memory at e0000000 (32-bit, prefetchable) [size=256M]
	I/O ports at b000 [size=256]
	Memory at fe9f0000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at fe9c0000 [disabled] [size=128K]
	Capabilities: [58] AGP version 3.0
	Capabilities: [50] Power Management version 2
	Kernel driver in use: radeon

01:00.1 Display controller: ATI Technologies Inc RV350 AS [Radeon 9550] (Secondary)
	Subsystem: PC Partner Limited Device 0201
	Flags: bus master, 66MHz, medium devsel, latency 32
	Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Memory at fe9e0000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [50] Power Management version 2

02:06.0 Ethernet controller: Intel Corporation 82541PI Gigabit Ethernet Controller (rev 05)
	Subsystem: Intel Corporation PRO/1000 GT Desktop Adapter
	Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 19
	Memory at feae0000 (32-bit, non-prefetchable) [size=128K]
	Memory at feac0000 (32-bit, non-prefetchable) [size=128K]
	I/O ports at c880 [size=64]
	Expansion ROM at feaa0000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2
	Capabilities: [e4] PCI-X non-bridge device
	Kernel driver in use: e1000

02:09.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
	Subsystem: Creative Labs Live! 5.1 Digital [SB0228]
	Flags: bus master, medium devsel, latency 32, IRQ 17
	I/O ports at c800 [size=32]
	Capabilities: [dc] Power Management version 1
	Kernel driver in use: EMU10K1_Audigy

02:09.1 Input device controller: Creative Labs SB Live! Game Port (rev 0a)
	Subsystem: Creative Labs Gameport Joystick
	Flags: bus master, medium devsel, latency 32
	I/O ports at cc00 [size=8]
	Capabilities: [dc] Power Management version 1
	Kernel driver in use: Emu10k1_gameport





Bug Marked as found in versions 2.6.32-27 and reopened. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Mon, 22 Nov 2010 11:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Sat, 19 Mar 2011 18:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Simon <simon@zsi.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 19 Mar 2011 18:24:10 GMT) Full text and rfc822 format available.

Message #60 received at 518182@bugs.debian.org (full text, mbox):

From: Johannes Simon <simon@zsi.at>
To: 518182@bugs.debian.org
Subject: e1000e: Detected Tx Unit Hang in 2.6.32-30
Date: Sat, 19 Mar 2011 19:13:36 +0100
Hi,

with e1000e (not e1000) and 2GB RAM I also still have a problem, which 
is quite similar.

Around 15min after booting I got the messages below. The hardware is one 
of two identical cluster nodes, and the other is running without 
problems for months.

Moreover, I suspect that the problem occurs only under higher network load.

The failing interface is (info taken after reboot):

# ethtool -i eth1
driver: e1000e
version: 1.0.2-k2
firmware-version: 5.10-2
bus-info: 0000:03:00.0

# lspci -v -s 03:00.0
03:00.0 Ethernet controller: Intel Corporation 82571EB Gigabit Ethernet 
Controller (Copper) (rev 06)
   Subsystem: Intel Corporation PRO/1000 PT Quad Port LP Server Adapter
   Flags: bus master, fast devsel, latency 0, IRQ 31
   Memory at f0500000 (32-bit, non-prefetchable) [size=128K]
   Memory at f0520000 (32-bit, non-prefetchable) [size=128K]
   I/O ports at 4100 [size=32]
   [virtual] Expansion ROM at 80000000 [disabled] [size=128K]
   Capabilities: [c8] Power Management version 2
   Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
   Capabilities: [e0] Express Endpoint, MSI 00
   Capabilities: [100] Advanced Error Reporting
   Capabilities: [140] Device Serial Number 00-15-17-ff-ff-bb-cf-5c
   Kernel driver in use: e1000e

# uname -a
Linux charon09b 2.6.32-5-amd64 #1 SMP Wed Jan 12 03:40:32 UTC 2011 
x86_64 GNU/Linux

(source version is 2.6.32-30)

The device hang seem to be not easily reproducible, the system has 
meanwhile been running for 3 hours (albeit with small load) without 
hang. I'm now updating to 2.6.32-31.

Cheers,
Johannes


Mar 17 15:16:21 charon09b kernel: [ 1070.816415] 0000:03:00.0: eth1: 
Detected Tx Unit Hang:
Mar 17 15:16:21 charon09b kernel: [ 1070.816418]   TDH                  <aa>
Mar 17 15:16:21 charon09b kernel: [ 1070.816420]   TDT                  <30>
Mar 17 15:16:21 charon09b kernel: [ 1070.816421]   next_to_use          <30>
Mar 17 15:16:21 charon09b kernel: [ 1070.816422]   next_to_clean        <ab>
Mar 17 15:16:21 charon09b kernel: [ 1070.816424] buffer_info[next_to_clean]:
Mar 17 15:16:21 charon09b kernel: [ 1070.816425]   time_stamp           
<10002e594>
Mar 17 15:16:21 charon09b kernel: [ 1070.816427]   next_to_watch        <ab>
Mar 17 15:16:21 charon09b kernel: [ 1070.816428]   jiffies              
<10002f0c0>
Mar 17 15:16:21 charon09b kernel: [ 1070.816429]   next_to_watch.status <0>
Mar 17 15:16:23 charon09b kernel: [ 1072.816217] 0000:03:00.0: eth1: 
Detected Tx Unit Hang:
Mar 17 15:16:23 charon09b kernel: [ 1072.816218]   TDH                  <aa>
Mar 17 15:16:23 charon09b kernel: [ 1072.816219]   TDT                  <30>
Mar 17 15:16:23 charon09b kernel: [ 1072.816219]   next_to_use          <30>
Mar 17 15:16:23 charon09b kernel: [ 1072.816220]   next_to_clean        <ab>
Mar 17 15:16:23 charon09b kernel: [ 1072.816221] buffer_info[next_to_clean]:
Mar 17 15:16:23 charon09b kernel: [ 1072.816221]   time_stamp           
<10002e594>
Mar 17 15:16:23 charon09b kernel: [ 1072.816222]   next_to_watch        <ab>
Mar 17 15:16:23 charon09b kernel: [ 1072.816223]   jiffies              
<10002f2b4>
Mar 17 15:16:23 charon09b kernel: [ 1072.816223]   next_to_watch.status <0>
Mar 17 15:16:25 charon09b kernel: [ 1074.816268] 0000:03:00.0: eth1: 
Detected Tx Unit Hang:
Mar 17 15:16:25 charon09b kernel: [ 1074.816270]   TDH                  <aa>
Mar 17 15:16:25 charon09b kernel: [ 1074.816272]   TDT                  <30>
Mar 17 15:16:25 charon09b kernel: [ 1074.816273]   next_to_use          <30>
Mar 17 15:16:25 charon09b kernel: [ 1074.816274]   next_to_clean        <ab>
Mar 17 15:16:25 charon09b kernel: [ 1074.816276] buffer_info[next_to_clean]:
Mar 17 15:16:25 charon09b kernel: [ 1074.816277]   time_stamp           
<10002e594>
Mar 17 15:16:25 charon09b kernel: [ 1074.816278]   next_to_watch        <ab>
Mar 17 15:16:25 charon09b kernel: [ 1074.816280]   jiffies              
<10002f4a8>
Mar 17 15:16:25 charon09b kernel: [ 1074.816281]   next_to_watch.status <0>
Mar 17 15:16:26 charon09b kernel: [ 1075.816022] ------------[ cut here 
]------------
Mar 17 15:16:26 charon09b kernel: [ 1075.816035] WARNING: at 
/build/buildd-linux-2.6_2.6.32-30-amd64-d4MbNM/linux-2.6-2.6.32/debian/build/source_amd64_none/net/sched/sch_generic.c:261 
dev_watchdog+0xe2/0x194()
Mar 17 15:16:26 charon09b kernel: [ 1075.816041] Hardware name: HP 
Compaq dc5800 Small Form Factor
Mar 17 15:16:26 charon09b kernel: [ 1075.816044] NETDEV WATCHDOG: eth1 
(e1000e): transmit queue 0 timed out
Mar 17 15:16:26 charon09b kernel: [ 1075.816048] Modules linked in: 
ip6_queue act_police cls_flow cls_fw cls_u32 sch_hfsc ip6t_LOG xt_realm 
xt_connlimit iptable_raw ip6table_raw xt_comment ipt_ULOG ip6t_REJECT 
ipt_REJECT ipt_REDIRECT ipt_NETMAP ipt_MASQUERADE xt_recent ipt_ECN 
ipt_ecn ipt_CLUSTERIP ipt_ah ipt_addrtype nf_nat_tftp nf_nat_snmp_basic 
nf_nat_sip nf_nat_pptp ip6table_mangle nf_nat_proto_gre 
nf_conntrack_ipv6 nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda 
nf_conntrack_tftp nf_conntrack_sane nf_conntrack_sip 
nf_conntrack_proto_udplite nf_conntrack_proto_sctp nf_conntrack_pptp 
nf_conntrack_proto_gre nf_conntrack_netlink nf_conntrack_netbios_ns 
ts_kmp nf_conntrack_irc nf_conntrack_amanda nf_conntrack_h323 xt_time 
nf_conntrack_ftp xt_TCPMSS xt_TPROXY nf_tproxy_core xt_sctp xt_tcpmss 
xt_policy xt_pkttype xt_physdev xt_owner xt_NFLOG nfnetlink_log 
xt_NFQUEUE xt_multiport xt_MARK xt_mark xt_mac xt_limit xt_length 
xt_iprange xt_helper xt_hashlimit xt_DSCP xt_dscp xt_dccp xt_CONNMARK 
xt_connmark ipt_LOG xt_CLASS
Mar 17 15:16:26 charon09b kernel: IFY xt_tcpudp iptable_nat xt_state 
xt_conntrack iptable_mangle nfnetlink ip6table_filter iptable_filter 
ip6_tables ip_tables x_tables sch_sfq sch_prio sch_ingress sch_htb 
nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 loop 
snd_hda_codec_analog usb_storage snd_hda_intel snd_hda_codec snd_hwdep 
snd_pcm snd_timer snd soundcore i915 tpm_infineon drm_kms_helper 
uhci_hcd drm i2c_algo_bit i2c_core ehci_hcd psmouse snd_page_alloc sg 
tpm video usbcore e1000e nls_base sr_mod output evdev floppy wmi button 
pcspkr tpm_bios cdrom serio_raw processor ext3 jbd mbcache dm_mod sd_mod 
crc_t10dif ata_generic ata_piix libata scsi_mod thermal thermal_sys
Mar 17 15:16:26 charon09b kernel: [ 1075.816215] Pid: 0, comm: swapper 
Not tainted 2.6.32-5-amd64 #1
Mar 17 15:16:26 charon09b kernel: [ 1075.816216] Call Trace:
Mar 17 15:16:26 charon09b kernel: [ 1075.816218]  <IRQ>  
[<ffffffff812622c6>] ? dev_watchdog+0xe2/0x194
Mar 17 15:16:26 charon09b kernel: [ 1075.816223]  [<ffffffff812622c6>] ? 
dev_watchdog+0xe2/0x194
Mar 17 15:16:26 charon09b kernel: [ 1075.816227]  [<ffffffff8104dd7c>] ? 
warn_slowpath_common+0x77/0xa3
Mar 17 15:16:26 charon09b kernel: [ 1075.816230]  [<ffffffff812621e4>] ? 
dev_watchdog+0x0/0x194
Mar 17 15:16:26 charon09b kernel: [ 1075.816232]  [<ffffffff8104de04>] ? 
warn_slowpath_fmt+0x51/0x59
Mar 17 15:16:26 charon09b kernel: [ 1075.816236]  [<ffffffff8104a262>] ? 
try_to_wake_up+0x2a7/0x2b9
Mar 17 15:16:26 charon09b kernel: [ 1075.816240]  [<ffffffff8101654b>] ? 
sched_clock+0x5/0x8
Mar 17 15:16:26 charon09b kernel: [ 1075.816243]  [<ffffffff812621b8>] ? 
netif_tx_lock+0x3d/0x69
Mar 17 15:16:26 charon09b kernel: [ 1075.816246]  [<ffffffff8124d020>] ? 
netdev_drivername+0x3b/0x40
Mar 17 15:16:26 charon09b kernel: [ 1075.816249]  [<ffffffff812622c6>] ? 
dev_watchdog+0xe2/0x194
Mar 17 15:16:26 charon09b kernel: [ 1075.816251]  [<ffffffff8103f9cb>] ? 
__wake_up+0x30/0x44
Mar 17 15:16:26 charon09b kernel: [ 1075.816256]  [<ffffffff8105a44f>] ? 
run_timer_softirq+0x1c9/0x268
Mar 17 15:16:26 charon09b kernel: [ 1075.816259]  [<ffffffff8106c2e5>] ? 
ktime_get+0x5c/0xb7
Mar 17 15:16:26 charon09b kernel: [ 1075.816262]  [<ffffffff81053b03>] ? 
__do_softirq+0xdd/0x1a2
Mar 17 15:16:26 charon09b kernel: [ 1075.816265]  [<ffffffff81011cac>] ? 
call_softirq+0x1c/0x30
Mar 17 15:16:26 charon09b kernel: [ 1075.816268]  [<ffffffff8101322b>] ? 
do_softirq+0x3f/0x7c
Mar 17 15:16:26 charon09b kernel: [ 1075.816270]  [<ffffffff81053972>] ? 
irq_exit+0x36/0x76
Mar 17 15:16:26 charon09b kernel: [ 1075.816272]  [<ffffffff81012922>] ? 
do_IRQ+0xa0/0xb6
Mar 17 15:16:26 charon09b kernel: [ 1075.816275]  [<ffffffff810114d3>] ? 
ret_from_intr+0x0/0x11
Mar 17 15:16:26 charon09b kernel: [ 1075.816276]  <EOI>  
[<ffffffffa00fc651>] ? acpi_idle_enter_simple+0x116/0x148 [processor]
Mar 17 15:16:26 charon09b kernel: [ 1075.816291]  [<ffffffffa00fc64a>] ? 
acpi_idle_enter_simple+0x10f/0x148 [processor]
Mar 17 15:16:26 charon09b kernel: [ 1075.816295]  [<ffffffff8123963e>] ? 
cpuidle_idle_call+0x94/0xee
Mar 17 15:16:26 charon09b kernel: [ 1075.816298]  [<ffffffff8100feb1>] ? 
cpu_idle+0xa2/0xda
Mar 17 15:16:26 charon09b kernel: [ 1075.816303]  [<ffffffff814f3140>] ? 
early_idt_handler+0x0/0x71
Mar 17 15:16:26 charon09b kernel: [ 1075.816306]  [<ffffffff814f3cd1>] ? 
start_kernel+0x3dc/0x3e8
Mar 17 15:16:26 charon09b kernel: [ 1075.816309]  [<ffffffff814f33b7>] ? 
x86_64_start_kernel+0xf9/0x106
Mar 17 15:16:26 charon09b kernel: [ 1075.816311] ---[ end trace 
fc1d43e4df014e5b ]---
Mar 17 15:16:26 charon09b kernel: [ 1075.986613] general protection 
fault: 0000 [#1] SMP
Mar 17 15:16:26 charon09b kernel: [ 1075.986704] last sysfs file: 
/sys/module/ip6_tables/initstate
Mar 17 15:16:26 charon09b kernel: [ 1075.986755] CPU 0
Mar 17 15:16:26 charon09b kernel: [ 1075.986815] Modules linked in: 
ip6_queue act_police cls_flow cls_fw cls_u32 sch_hfsc ip6t_LOG xt_realm 
xt_connlimit iptable_raw ip6table_raw xt_comment ipt_ULOG ip6t_REJECT 
ipt_REJECT ipt_REDIRECT ipt_NETMAP ipt_MASQUERADE xt_recent ipt_ECN 
ipt_ecn ipt_CLUSTERIP ipt_ah ipt_addrtype nf_nat_tftp nf_nat_snmp_basic 
nf_nat_sip nf_nat_pptp ip6table_mangle nf_nat_proto_gre 
nf_conntrack_ipv6 nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda 
nf_conntrack_tftp nf_conntrack_sane nf_conntrack_sip 
nf_conntrack_proto_udplite nf_conntrack_proto_sctp nf_conntrack_pptp 
nf_conntrack_proto_gre nf_conntrack_netlink nf_conntrack_netbios_ns 
ts_kmp nf_conntrack_irc nf_conntrack_amanda nf_conntrack_h323 xt_time 
nf_conntrack_ftp xt_TCPMSS xt_TPROXY nf_tproxy_core xt_sctp xt_tcpmss 
xt_policy xt_pkttype xt_physdev xt_owner xt_NFLOG nfnetlink_log 
xt_NFQUEUE xt_multiport xt_MARK xt_mark xt_mac xt_limit xt_length 
xt_iprange xt_helper xt_hashlimit xt_DSCP xt_dscp xt_dccp xt_CONNMARK 
xt_connmark ipt_LOG xt_CLASS
Mar 17 15:16:26 charon09b kernel: IFY xt_tcpudp iptable_nat xt_state 
xt_conntrack iptable_mangle nfnetlink ip6table_filter iptable_filter 
ip6_tables ip_tables x_tables sch_sfq sch_prio sch_ingress sch_htb 
nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 loop 
snd_hda_codec_analog usb_storage snd_hda_intel snd_hda_codec snd_hwdep 
snd_pcm snd_timer snd soundcore i915 tpm_infineon drm_kms_helper 
uhci_hcd drm i2c_algo_bit i2c_core ehci_hcd psmouse snd_page_alloc sg 
tpm video usbcore e1000e nls_base sr_mod output evdev floppy wmi button 
pcspkr tpm_bios cdrom serio_raw processor ext3 jbd mbcache dm_mod sd_mod 
crc_t10dif ata_generic ata_piix libata scsi_mod thermal thermal_sys
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] Pid: 9, comm: events/0 
Tainted: G        W  2.6.32-5-amd64 #1 HP Compaq dc5800 Small Form Factor
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] RIP: 
0010:[<ffffffff810bc6bf>]  [<ffffffff810bc6bf>] put_page+0xb/0xbc
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] RSP: 
0018:ffff88007e39bd70  EFLAGS: 00010246
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] RAX: 0000000000000000 
RBX: 0000000000000001 RCX: 0000000000000002
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] RDX: ffff88007cfed640 
RSI: 000000007cfed022 RDI: bf57a067f4e9b47b
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] RBP: bf57a067f4e9b47b 
R08: 0000000000000000 R09: ffff88007d8a4090
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] R10: ffff880079e75c00 
R11: 0000000000000282 R12: ffffc9001652c000
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] R13: ffff88007d71fb00 
R14: ffff88007be98680 R15: 0000000000000000
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] FS:  
0000000000000000(0000) GS:ffff880001800000(0000) knlGS:0000000000000000
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] CS:  0010 DS: 0018 ES: 
0018 CR0: 000000008005003b
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] CR2: 0000000001283048 
CR3: 000000007bd69000 CR4: 00000000000406f0
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] DR0: 0000000000000000 
DR1: 0000000000000000 DR2: 0000000000000000
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] DR3: 0000000000000000 
DR6: 00000000ffff0ff0 DR7: 0000000000000400
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] Process events/0 (pid: 
9, threadinfo ffff88007e39a000, task ffff88007e3a0000)
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] Stack:
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  0000000000000001 
ffff88007c773100 ffffc9001652c000 ffff88007d71fb00
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] <0> ffff88007be98680 
ffffffff8124770a ffffc900165297d8 ffff88007c773100
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] <0> ffff88007be987d0 
ffffffff812472c2 ffff88007be98680 ffffffffa017d3ea
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] Call Trace:
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff8124770a>] ? 
skb_release_data+0x6a/0xc3
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff812472c2>] ? 
__kfree_skb+0x11/0x7d
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffffa017d3ea>] ? 
e1000_clean_rx_ring+0xc4/0x188 [e1000e]
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff81061d99>] ? 
queue_work_on+0x45/0x4f
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffffa017d9c1>] ? 
e1000e_reinit_locked+0x35/0x49 [e1000e]
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff810616ff>] ? 
worker_thread+0x188/0x21d
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffffa017d9d5>] ? 
e1000_reset_task+0x0/0xc [e1000e]
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff81064d2a>] ? 
autoremove_wake_function+0x0/0x2e
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff81061577>] ? 
worker_thread+0x0/0x21d
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff81064a5d>] ? 
kthread+0x79/0x81
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff81011baa>] ? 
child_rip+0xa/0x20
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff810649e4>] ? 
kthread+0x0/0x81
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  [<ffffffff81011ba0>] ? 
child_rip+0x0/0x20
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] Code: 89 4c c7 10 48 ff 
c0 83 f8 0e 48 89 07 75 05 e8 b3 fd ff ff 48 89 df 57 9d 0f 1f 44 00 00 
5b c3 41 56 41 55 41 54 55 48 89 fd 53 <48> 8b 07 66 a9 00 c0 74 2d 66 
85 c0 79 04 48 8b 6f 10 48 8d 45
Mar 17 15:16:26 charon09b kernel: [ 1075.988024] RIP  
[<ffffffff810bc6bf>] put_page+0xb/0xbc
Mar 17 15:16:26 charon09b kernel: [ 1075.988024]  RSP <ffff88007e39bd70>
Mar 17 15:16:26 charon09b kernel: [ 1075.993985] ---[ end trace 
fc1d43e4df014e5c ]---


and a few minutes later taking down the interface fails:


Mar 17 15:24:02 charon09b zsiNetWorkLan[10680]: INFO: ip link set down 
dev eth1
Mar 17 15:24:02 charon09b kernel: [ 1531.912055] ------------[ cut here 
]------------
Mar 17 15:24:02 charon09b kernel: [ 1531.912151] WARNING: at 
/build/buildd-linux-2.6_2.6.32-30-amd64-d4MbNM/linux-2.6-2.6.32/debian/build/source_amd64_none/drivers/net/e1000e/netdev.c:3221 
e1000_close+0x2a/0xb5 [e1000e]()
Mar 17 15:24:02 charon09b kernel: [ 1531.912273] Hardware name: HP 
Compaq dc5800 Small Form Factor
Mar 17 15:24:02 charon09b kernel: [ 1531.912323] Modules linked in: 
ip6_queue act_police cls_flow cls_fw cls_u32 sch_hfsc ip6t_LOG xt_realm 
xt_connlimit iptable_raw ip6table_raw xt_comment ipt_ULOG ip6t_REJECT 
ipt_REJECT ipt_REDIRECT ipt_NETMAP ipt_MASQUERADE xt_recent ipt_ECN 
ipt_ecn ipt_CLUSTERIP ipt_ah ipt_addrtype nf_nat_tftp nf_nat_snmp_basic 
nf_nat_sip nf_nat_pptp ip6table_mangle nf_nat_proto_gre 
nf_conntrack_ipv6 nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda 
nf_conntrack_tftp nf_conntrack_sane nf_conntrack_sip 
nf_conntrack_proto_udplite nf_conntrack_proto_sctp nf_conntrack_pptp 
nf_conntrack_proto_gre nf_conntrack_netlink nf_conntrack_netbios_ns 
ts_kmp nf_conntrack_irc nf_conntrack_amanda nf_conntrack_h323 xt_time 
nf_conntrack_ftp xt_TCPMSS xt_TPROXY nf_tproxy_core xt_sctp xt_tcpmss 
xt_policy xt_pkttype xt_physdev xt_owner xt_NFLOG nfnetlink_log 
xt_NFQUEUE xt_multiport xt_MARK xt_mark xt_mac xt_limit xt_length 
xt_iprange xt_helper xt_hashlimit xt_DSCP xt_dscp xt_dccp xt_CONNMARK 
xt_connmark ipt_LOG xt_CLASS
Mar 17 15:24:02 charon09b kernel: IFY xt_tcpudp iptable_nat xt_state 
xt_conntrack iptable_mangle nfnetlink ip6table_filter iptable_filter 
ip6_tables ip_tables x_tables sch_sfq sch_prio sch_ingress sch_htb 
nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 loop 
snd_hda_codec_analog usb_storage snd_hda_intel snd_hda_codec snd_hwdep 
snd_pcm snd_timer snd soundcore i915 tpm_infineon drm_kms_helper 
uhci_hcd drm i2c_algo_bit i2c_core ehci_hcd psmouse snd_page_alloc sg 
tpm video usbcore e1000e nls_base sr_mod output evdev floppy wmi button 
pcspkr tpm_bios cdrom serio_raw processor ext3 jbd mbcache dm_mod sd_mod 
crc_t10dif ata_generic ata_piix libata scsi_mod thermal thermal_sys
Mar 17 15:24:02 charon09b kernel: [ 1531.915881] Pid: 10715, comm: ip 
Tainted: G      D W  2.6.32-5-amd64 #1
Mar 17 15:24:02 charon09b kernel: [ 1531.915934] Call Trace:
Mar 17 15:24:02 charon09b kernel: [ 1531.915983]  [<ffffffffa017dc06>] ? 
e1000_close+0x2a/0xb5 [e1000e]
Mar 17 15:24:02 charon09b kernel: [ 1531.916053]  [<ffffffffa017dc06>] ? 
e1000_close+0x2a/0xb5 [e1000e]
Mar 17 15:24:02 charon09b kernel: [ 1531.916109]  [<ffffffff8104dd7c>] ? 
warn_slowpath_common+0x77/0xa3
Mar 17 15:24:02 charon09b kernel: [ 1531.916176]  [<ffffffffa017dc06>] ? 
e1000_close+0x2a/0xb5 [e1000e]
Mar 17 15:24:02 charon09b kernel: [ 1531.916241]  [<ffffffff8125091d>] ? 
dev_close+0x77/0x9e
Mar 17 15:24:02 charon09b kernel: [ 1531.916292]  [<ffffffff8125032d>] ? 
dev_change_flags+0xaf/0x16d
Mar 17 15:24:02 charon09b kernel: [ 1531.916344]  [<ffffffff81258153>] ? 
do_setlink+0x284/0x351
Mar 17 15:24:02 charon09b kernel: [ 1531.916396]  [<ffffffff812595e0>] ? 
rtnl_newlink+0x2e5/0x4b1
Mar 17 15:24:02 charon09b kernel: [ 1531.916447]  [<ffffffff812593ab>] ? 
rtnl_newlink+0xb0/0x4b1
Mar 17 15:24:02 charon09b kernel: [ 1531.916498]  [<ffffffff8124a35e>] ? 
__skb_recv_datagram+0x11a/0x24b
Mar 17 15:24:02 charon09b kernel: [ 1531.916560]  [<ffffffff8124386a>] ? 
sock_rmalloc+0x29/0x86
Mar 17 15:24:02 charon09b kernel: [ 1531.916611]  [<ffffffff8126a798>] ? 
netlink_sendmsg+0x162/0x255
Mar 17 15:24:02 charon09b kernel: [ 1531.916663]  [<ffffffff81259106>] ? 
rtnetlink_rcv_msg+0x0/0x1f5
Mar 17 15:24:02 charon09b kernel: [ 1531.916714]  [<ffffffff8126a358>] ? 
netlink_rcv_skb+0x34/0x7c
Mar 17 15:24:02 charon09b kernel: [ 1531.916765]  [<ffffffff81259100>] ? 
rtnetlink_rcv+0x1f/0x25
Mar 17 15:24:02 charon09b kernel: [ 1531.916816]  [<ffffffff8126a14c>] ? 
netlink_unicast+0xe2/0x148
Mar 17 15:24:02 charon09b kernel: [ 1531.916867]  [<ffffffff812482d9>] ? 
__alloc_skb+0x69/0x15a
Mar 17 15:24:02 charon09b kernel: [ 1531.916918]  [<ffffffff8126a878>] ? 
netlink_sendmsg+0x242/0x255
Mar 17 15:24:02 charon09b kernel: [ 1531.916969]  [<ffffffff81240c45>] ? 
sock_sendmsg+0xa3/0xbb
Mar 17 15:24:02 charon09b kernel: [ 1531.917020]  [<ffffffff81240b49>] ? 
sock_recvmsg+0xa6/0xbe
Mar 17 15:24:02 charon09b kernel: [ 1531.917071]  [<ffffffff81064d2a>] ? 
autoremove_wake_function+0x0/0x2e
Mar 17 15:24:02 charon09b kernel: [ 1531.917124]  [<ffffffff81249645>] ? 
verify_iovec+0x46/0x95
Mar 17 15:24:02 charon09b kernel: [ 1531.917175]  [<ffffffff81240e87>] ? 
sys_sendmsg+0x22a/0x2b5
Mar 17 15:24:02 charon09b kernel: [ 1531.917227]  [<ffffffff810d1add>] ? 
do_brk+0x2ac/0x307
Mar 17 15:24:02 charon09b kernel: [ 1531.917278]  [<ffffffff812fe0b6>] ? 
do_page_fault+0x2e0/0x2fc
Mar 17 15:24:02 charon09b kernel: [ 1531.917330]  [<ffffffff81010b42>] ? 
system_call_fastpath+0x16/0x1b
Mar 17 15:24:02 charon09b kernel: [ 1531.917381] ---[ end trace 
fc1d43e4df014e5d ]---





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Sun, 04 Sep 2011 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@dct.mine.nu:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 04 Sep 2011 17:51:04 GMT) Full text and rfc822 format available.

Message #65 received at 518182@bugs.debian.org (full text, mbox):

From: Karsten Malcher <debian@dct.mine.nu>
To: 518182@bugs.debian.org
Subject: Tx Unit Hang in actual Squeeze with E1000
Date: Sun, 04 Sep 2011 19:47:59 +0200
I have also the same problem that i get a "Tx Unit Hang" after some 
minutes working with this network card.

~$ uname -a
Linux PC10 2.6.32-5-amd64 #1 SMP Tue Jun 14 09:42:28 UTC 2011 x86_64 
GNU/Linux

Seems to be an old driver problem that is resistant to be fixed.

I will not try to fix a problem that cannot be fixed for years. ;-)
So I will sell this stupid IBM PRO/1000 MT (that have nothing Pro) and i 
will take a simply but working RTL 8169 card now for gigabit network.

[  737.804748] e1000: eth3: e1000_clean_tx_irq: Detected Tx Unit Hang
[  737.804753]   Tx Queue <0>
[  737.804755]   TDH <db>
[  737.804757]   TDT <e0>
[  737.804760]   next_to_use <e0>
[  737.804762]   next_to_clean <db>
[  737.804764] buffer_info[next_to_clean]
[  737.804766]   time_stamp <10001a8cf>
[  737.804768]   next_to_watch <dc>
[  737.804770]   jiffies <10001ab8b>
[  737.804772]   next_to_watch.status <0>
[  739.804730] e1000: eth3: e1000_clean_tx_irq: Detected Tx Unit Hang
[  739.804734]   Tx Queue <0>
[  739.804737]   TDH <db>
[  739.804739]   TDT <e0>
[  739.804741]   next_to_use <e0>
[  739.804743]   next_to_clean <db>
[  739.804745] buffer_info[next_to_clean]
[  739.804747]   time_stamp <10001a8cf>
[  739.804749]   next_to_watch <dc>
[  739.804751]   jiffies <10001ad7f>
[  739.804753]   next_to_watch.status <0>
...
[  846.968388] e1000: eth3 NIC Link is Up 1000 Mbps Full Duplex, Flow 
Control: RX/TX
[  854.804251] e1000: eth3: e1000_clean_tx_irq: Detected Tx Unit Hang
[  854.804255]   Tx Queue <0>
[  854.804258]   TDH <1c>
[  854.804260]   TDT <29>
[  854.804262]   next_to_use <29>
[  854.804264]   next_to_clean <1c>
[  854.804266] buffer_info[next_to_clean]
[  854.804268]   time_stamp <100021bc2>
[  854.804270]   next_to_watch <1c>
[  854.804272]   jiffies <100021dcd>
[  854.804274]   next_to_watch.status <0>
[  856.804231] e1000: eth3: e1000_clean_tx_irq: Detected Tx Unit Hang
[  856.804235]   Tx Queue <0>
[  856.804238]   TDH <1c>
[  856.804240]   TDT <29>
[  856.804242]   next_to_use <29>
[  856.804244]   next_to_clean <1c>
[  856.804246] buffer_info[next_to_clean]
[  856.804248]   time_stamp <100021bc2>
[  856.804250]   next_to_watch <1c>
[  856.804252]   jiffies <100021fc1>
[  856.804254]   next_to_watch.status <0>

Regards
Karsten





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#518182; Package linux-2.6. (Sun, 04 Sep 2011 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 04 Sep 2011 18:06:03 GMT) Full text and rfc822 format available.

Message #70 received at 518182@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Johannes Simon <simon@zsi.at>
Cc: 518182@bugs.debian.org
Subject: Re: e1000e: Detected Tx Unit Hang in 2.6.32-30
Date: Sun, 4 Sep 2011 13:03:50 -0500
Hi,

Johannes Simon wrote:

> with e1000e (not e1000) and 2GB RAM I also still have a problem, which is
> quite similar.

Please file a separate report.  If you do not have 4GB of RAM, it is not
the same bug (and if the causes are the same, we can merge them later).




Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Wed, 10 Jul 2013 18:11:05 GMT) Full text and rfc822 format available.

Notification sent to matthias kreis <matthias.kreis@remasec.ch>:
Bug acknowledged by developer. (Wed, 10 Jul 2013 18:11:05 GMT) Full text and rfc822 format available.

Message #75 received at 518182-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 510195-done@bugs.debian.org, 508685-done@bugs.debian.org, 464501-done@bugs.debian.org, 518182-done@bugs.debian.org, 534904-done@bugs.debian.org, 536340-done@bugs.debian.org, 525220-done@bugs.debian.org, 546655-done@bugs.debian.org
Subject: Closing
Date: Wed, 10 Jul 2013 20:09:39 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Aug 2013 07:32:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:16:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.